Page MenuHomePhabricator

Update Apertium Spanish ⇆ Aragonese MT
Closed, ResolvedPublic

Description

A new release of the Spanish ⇆ Aragonese Apertium MT has been recently released. Some relevant changes:

  • Change from 2-letter to 3-letter codes (es-an --> spa-arg)
  • New package: apertium-spa-arg (0.4.0)
  • Depends on apertium-arg (0.1.1) and apertium-spa (0.1.0).
  • Needs lttoolbox > 3.3.
  • Package in WMF:
    • apertium-spa
    • apertium-spa-arg
    • Upload to WMF repo.

Details

Related Gerrit Patches:
operations/debs/contenttranslation/apertium-spa-arg : masterapertium-spa-arg: Initial Debian packaging
operations/debs/contenttranslation/apertium-spa : masterapertium-spa: Initial Debian packaging
operations/debs/contenttranslation/apertium-arg : masterapertium-arg: Initial Debian packaging

Event Timeline

Juanpabl raised the priority of this task from to Needs Triage.
Juanpabl updated the task description. (Show Details)
Juanpabl added subscribers: Aklapper, Juanpabl, StudiesWorld.
KartikMistry set Security to None.
Amire80 triaged this task as Medium priority.Feb 18 2016, 12:47 PM
Amire80 added a project: WorkType-Maintenance.
Amire80 added a project: ContentTranslation.
Amire80 added a subscriber: KartikMistry.
Amire80 moved this task from Needs Triage to CX8 on the ContentTranslation board.Feb 18 2016, 2:05 PM
Amire80 moved this task from CX8 to Bugs on the ContentTranslation board.Apr 20 2016, 1:13 PM

Change 294657 had a related patch set uploaded (by KartikMistry):
apertium-arg: Initial Debian packaging

https://gerrit.wikimedia.org/r/294657

Change 294658 had a related patch set uploaded (by KartikMistry):
apertium-spa: Initial Debian packaging

https://gerrit.wikimedia.org/r/294658

Change 295122 had a related patch set uploaded (by KartikMistry):
apertium-spa-age: Initial Debian packaging

https://gerrit.wikimedia.org/r/295122

Jenkins seems unhappy; debugging for spa-arg package.

14:05:42 pbuilder-satisfydepends-dummy : Depends: apertium-arg which is a virtual package.
14:05:42 Depends: apertium-spa which is a virtual package.

This means dependencies need to merge first.

Change 294657 merged by Alexandros Kosiaris:
apertium-arg: Initial Debian packaging

https://gerrit.wikimedia.org/r/294657

Change 294658 merged by Alexandros Kosiaris:
apertium-spa: Initial Debian packaging

https://gerrit.wikimedia.org/r/294658

Change 295122 merged by Alexandros Kosiaris:
apertium-spa-arg: Initial Debian packaging

https://gerrit.wikimedia.org/r/295122

Arrbee closed this task as Resolved.Aug 16 2016, 6:55 AM